/*--

THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.

Copyright (C) 1999  Microsoft Corporation.  All rights reserved.

Module Name:

    person.h

Abstract:

    Utility functions for creating, finding, and deleting a user account
    using LDAP.

--*/
extern int find_user(LDAP *, LDAPMessage **, char *, char *);
extern int add_user(LDAP *, char *, char *, char *, int, char **, char **);
extern int delete_user(LDAP *, char *);
int add_string_values_to_attrs( LDAP *, LDAPMessage **, char *,
				char *, char **, char **);
char **get_string_attr_value( LDAP *, LDAPMessage **, char *, int *);
void list_attrs( LDAP *, LDAPMessage **res) ;
