.\" 
.\" THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
.\" ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED
.\" TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
.\" PARTICULAR PURPOSE.
.\" 
.\" Copyright (C) 1999  Microsoft Corporation.  All rights reserved.
.\" 
.TH KSETPW 1m \*h
.SH NAME
ksetpw \- Sets a Kerberos principal's password if authorized by the Kerberos set password service
.SH SYNOPSIS
.B ksetpw
\fIuser@domain\fP
.PP
.SH DESCRIPTION
.PP
The
.I ksetpw
command is used to set a Kerberos principal's password. The current user must be authorized to set the specified principal's password.
.PP
If the principal is governed by a policy that specifies the length and/or
number of character classes required in the new password, the new
password must conform to the policy.  (The five character classes are
lower case, upper case, numbers, punctuation, and all other characters.)
.SH OPTIONS
None.
.TP
.SH PORTS
.B ksetpw
looks first for kpasswd_server = host:port in the [realms] section of
the krb5.conf file under the current realm.  If that is missing,
.B kpasswd
looks for the admin_server entry, but substitutes 464 for the port.
.TP
.SH SEE ALSO
kpasswd(1m)
